Depots
OpenAPI Specification
Public API (0.0.0)
2GIS GeoFlow Public API
Get a list of depots
Returns a page with a list of depots.
Authorizations:
BearerAuth
query Parameters
| limit required | integer Maximum number of depots in the response, from 1 to 100. |
| cursor | string Cursor for getting the next or previous page of results. |
Responses
Response Schema: application/json
required | object (CursorResponse) Cursors for the next and previous result pages. |
required | Array of objects (DepotResponse) Current page items. |
Response samples
- 200
- 400
- 401
- 500
Content type
application/json
{- "cursor": {
- "next": "string",
- "prev": "string"
}, - "items": [
- {
- "address": {
- "details": {
- "apartment": "string",
- "comment": "string",
- "entrance": "string",
- "floor": "string"
}, - "name": "string",
- "point": {
- "lat": 0,
- "lon": 0
}
}, - "created_at": "2019-08-24T14:15:22Z",
- "description": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "updated_at": "2019-08-24T14:15:22Z",
- "work_time_settings": {
- "is_hard_time_window": true,
- "rrule": "string",
- "service_duration_s": 0,
- "time_windows": [
- {
- "from": "string",
- "to": "string"
}
], - "timezone": "string"
}
}
]
}